<?
// $Id: links_loop.inc.php,v 1.1.1.1 2008/11/06 10:53:09 antonio Exp $

/**
 ** tag: linkslist
 ** desc: stampa una lista di link
 ** opt: type tipo di link per come e` stato definito nel pannello di amministrazione
 ** opt: i tipi external e internal sono predefiniti
 ** eg: stampa una lista dei link esterni al sito
 ** eg: <%linklist type="external"%>
 ** eg: - {link}
 ** eg: <%end%>
 **/
function linkslist (&$connh, &$content, $risoluzione, &$PRISCILLA_SESSION, $options, &$publisher, $blocco) {

    $rowrs2 = $connh->Execute("SELECT * FROM links_type WHERE type='" . $options['type'] . "'");
    $rowrs = $connh->Execute("SELECT * FROM links_list WHERE type='" . $options['type'] . "'");
    while (!$rowrs->EOF) {

        $id_link = $rowrs->fields['id'];

        $typename = $rowrs->fields('type');

        $linkname = $rowrs->fields('linktext');
        $description = $rowrs->fields('description');
        $descpos = $rowrs->fields('descpos');
        $url = $rowrs->fields('url');
        $pageid = $rowrs->fields('pageid');
        $target = $rowrs->fields('target');
        $anchor = $rowrs->fields('anchor');

        // predefiniti che possono essere sovrascritti
        $linkstyle = "linktstyle";
        $descstyle = "linkdstyle";
        $wantcounter = "yes";

        // se abbiamo a che fare con link interno / esterno predefiniti bypassiamo tutti i controllo
        if ($typename == "internal") {
            $have_image = false;
            $linktype = "internal";
        }
        else if ($typename == "external") {
            $have_image = false;
            $linktype = "external";
        }
        else {
            $idimag = $rowrs2->fields('idimag');
            $linkstyle = $rowrs2->fields('linktextclass');
            $descstyle = $rowrs2->fields('descriptionclass');
            $wantcounter = $rowrs2->fields('linkcounter');
            $linktype = $rowrs2->fields('tclass');

            if (is_numeric($idimag) && $idimag) {

                $dbquery = "SELECT * FROM immagini WHERE id_image='".$idimag."'";
                $rowrs3 =  $connh->Execute($dbquery) or die("ERROR:$dbquery<br />".$connh->ErrorMsg());


                if ($rowrs3->RecordCount() != 1)
                    $have_image = false;
                else {
                    $rowimag = $rowrs3->fields;
                    
                    if ($rowimag['id_user'] != 'superuser')
                        $image_prepath = 'pix' . '/' . $rowimag['id_user'];
                    else
                        $image_prepath = 'pix';

                    $image_path = $image_prepath . '/' . $rowimag['nome'];
                    $have_image = true;
                }
            }
            else $have_image = false;
        }

        if ($have_image) {
            $image_part = "<img src=\"$image_path\" width=\"$rowimag[width]\" height=\"$rowimag[height]\" ";
    
            if($rowimag['align'] != '')
                $image_part .= "align=\"$rowimag[align]\" ";
            if($rowimag['hspace'] != '')
                $image_part .= "hspace=\"$rowimag[hspace]\" ";
            if($rowimag['vspace'] != '')
                $image_part .= "vspace=\"$rowimag[vspace]\" ";
            if($rowimag['border'] != '')
                $image_part .= "border=\"$rowimag[border]\" ";
            $image_part .= "alt=\"$rowimag[alt]\"";
            $image_part .= " />";
        }
        else $image_part = '';
    
        if ($image_part != '')
            $image_part .= "&nbsp;";
    
        if ($linktype == "internal")
            $real_url = "index.php?id=" . $pageid;
        else
            $real_url = $url;
    
        if (trim($anchor) != "")
            $real_url .= "#" . $anchor;
    
        $quick_type = $linktype{0};
    
        if (trim($linkname) == "")
            $linkname = $real_url;
    
        $desc_part = "<span class=\"$descstyle\">$description</span>";
    
        if ($wantcounter == "yes")
            $url_part = "./modules/links/lib/gtl.php?i=" . $id_link . "&amp;" . "t=" . $quick_type;
        else
            $url_part = $real_url;
    
        if (trim($target) != '')
            $target_part = "target=\"" . $target . "\" ";
        else
            $target_part = "";
    
        $subst =
            "<a " . $target_part . "class=\"" . $linkstyle . "\"";
    
        $realdescription = trim($description);
                        
        if ($descpos == "intext" && $realdescription != '')
            $subst .= " title=\"" . $description . "\"";
    
        $subst .= " href=\"" .
            $url_part .
            "\">" .
            $image_part . $linkname  .
            "</a>";
    
        if ($realdescription != '') {
                if ($descpos == "top" || $descpos == "bottom")
                    $descsep = "<br />";
                else
                    $descsep = "";
    
                if ($descpos == "top" || $descpos == "left")
                    $subst = $desc_part . $descsep . $subst;
                else if ($descpos == "bottom" || $descpos == "right")
                    $subst = $subst . $descsep . $description;
        }

        $row = $rowrs->fields;
        $row['link'] = $subst;

        $publisher->publish($blocco, $risoluzione, $row);

        $rowrs->MoveNext();
    } // while
}

?>
